curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/reports/{report} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/reports/{report}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/reports/{report}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "report",
"data": {
"type": "liability",
"business_entity": null,
"pay_schedule": null,
"payroll": {
"id": "<id>",
"object": "payroll",
"links": {
"self": "/payrolls/<id>"
}
},
"filters": {
"payroll_type": null,
"payroll_status": null,
"pay_date_from": null,
"pay_date_to": null,
"year": null
},
"has_results": true,
"format": null,
"sheet": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/reports/<id>"
}
}Retrieve a report
This endpoint allows you to retrieve the data associated with a specific report. Use the ULID provided when the report was originally generated to make the request.
To download the report in CSV format, include the Accept header with the value text/csv in your request. Alternatively, the rendered file can be retrieved from GET /reports/{id}/download using the format and sheet supplied at creation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Specify the report sheet you want to retrieve when requesting the CSV format. When sheet was supplied at creation, that value takes precedence and this query param is ignored. Multi-sheet reports whose sheets hold unrelated data (Year-End Forms) require it for a CSV request.
Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("report").
Hide child attributes
Hide child attributes
cra-remittance, ei-cpp-balance, ei-qpp-qpip-balance, employer-health-tax, journal-entry, journal-entry-line-item, liability, payroll-register, rl1-preview, rq-remittance, t4-preview, vacation-accrual, workers-compensation, year-end-forms, year-to-date The output format set at creation for /download. One of csv or xlsx. null when no format was specified — required to use /download.
csv, pdf, xlsx 255The sheet selected at creation for multi-sheet reports (e.g. summary or detail for Payroll Register). null when the report has a single sheet or no sheet was specified.
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

